{
	"$schema": "https://schemas.wp.org/trunk/block.json",
	"apiVersion": 3,
	"name": "lcp/dynamic-container",
	"version": "0.1.0",
	"title": "Dynamic Container",
	"category": "widgets",
	"icon": "smiley",
	"description": "A general purpose container that uses dynamic rendering",
	"example": {},
	"supports": {
		"anchor": true,
		"align": [ "left", "right", "wide", "full" ],
		"background": {
			"backgroundImage": true,
			"backgroundSize": true,
			"__experimentalDefaultControls": {
				"backgroundImage": true
			}
	},
	"color": {
		"gradients": true,
		"background": true,
		"link": true,
		"__experimentalDefaultControls": {
			"background": true,
			"text": true
		}
	}
},
	"attributes": {
		"maxWidthExtraLarge": {
			"type": "string"	
		},
		"maxWidthLarge": {
			"type": "string"	
		},
		"maxWidthMedium": {
			"type": "string"		
		},
		"maxWidthSmall": {
			"type": "string"		
		},
		"minHeightExtraLarge": {
			"type": "string"	
		},
		"minHeightLarge": {
			"type": "string"	
		},
		"minHeightMedium": {
			"type": "string"		
		},
		"minHeightSmall": {
			"type": "string"		
		},
		"isBox": {
			"type": "boolean",
			"default": false
		},
		"backgroundColor": {
			"type": "string"		
		},
		"entranceAnimation": {
			"type": "string"
			},
		"exitAnimation": { 
				"type": "string"
				},

		"overflow": { 
			"type": "string"
			},
		"padding": {
			"type": "object",
			"default": {
				"extraLarge": {
					"top": "0",
					"right": "0",
					"bottom": "0",
					"left": "0"
				},
				"large": {
					"top": "0",
					"right": "0",
					"bottom": "0",
					"left": "0"
				},
				"medium": {
					"top": "0",
					"right": "0",
					"bottom": "0",
					"left": "0"
				},
				"small": {
					"top": "0",
					"right": "0",
					"bottom": "0",
					"left": "0"
				}
			}
		},
		"margin": {
			"type": "object",
			"default": {
				"extraLarge": {
					"top": "12px",
					"right": "0",
					"bottom": "12px",
					"left": "0"
				},
				"large": {
					"top": "12px",
					"right": "0",
					"bottom": "12px",
					"left": "0"
				},
				"medium": {
					"top": "12px",
					"right": "0",
					"bottom": "12px",
					"left": "0"
				},
				"small": {
					"top": "12px",
					"right": "0",
					"bottom": "12px",
					"left": "0"
				}
			}
		}
	},
	"textdomain": "lcp",
	"editorScript": "file:./index.js",
	"editorStyle": "file:./index.css",
	"style": "file:./style-index.css",
	"viewScript": "file:./view.js"}
